package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglXfwgInsertDto;
import com.mosty.base.model.entity.jcgl.TbJcglXfwg;
import com.mosty.base.model.query.jcgl.TbJcglXfwgQuery;

import java.util.List;

/**
 * <p>
 * 巡防网格 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-14
 */
public interface TbJcglXfwgService {

    //新增巡防网格
    int addXfwg(TbJcglXfwgInsertDto tbJcglXfqy);

    //查询巡防网格
    IPage<TbJcglXfwgInsertDto> getXfwg(TbJcglXfwgQuery xfqyQuery);

    //编辑巡防网格
    int editXfwg(TbJcglXfwgInsertDto tbJcglXfqy);

    //删除巡防网格
    int deleteXfwg(List<String> list);

    //根据ID查询
    TbJcglXfwgInsertDto selectById(String id);
}
